# frozen_string_literal: true

require 'application_system_test_case'

class MachinesTest < ApplicationSystemTestCase
  setup do
    @machine = machines(:one)
  end

  test 'visiting the index' do
    visit machines_url
    assert_selector 'h1', text: 'Pins'
  end

  test 'should create machine' do
    visit machines_url
    click_on 'Add a pin'

    fill_in 'Edition', with: @machine.edition
    fill_in 'Name', with: @machine.name
    click_on 'Create Machine'

    assert_text "Added #{@machine.name} #{@machine.edition}."
  end

  test 'should update Machine' do
    visit machine_url(@machine)

    fill_in 'Edition', with: @machine.edition
    fill_in 'Name', with: @machine.name
    click_on 'Update Machine'

    assert_text "Updated #{@machine.name} #{@machine.edition}."
  end

  test 'should destroy Machine' do
    visit machine_url(@machine)
    click_on "Delete #{@machine.name}", match: :first

    assert_text 'Machine was successfully removed'
  end
end
